import request from '@/utils/request'

// 查询网络管理列表
export function listNetworkManage(query) {
  return request({
    url: '/manage/NetworkManage/list',
    method: 'get',
    params: query
  })
}

// 查询网络管理详细
export function getNetworkManage(networkId) {
  return request({
    url: '/manage/NetworkManage/' + networkId,
    method: 'get'
  })
}

// 新增网络管理
export function addNetworkManage(data) {
  return request({
    url: '/manage/NetworkManage',
    method: 'post',
    data: data
  })
}

// 修改网络管理
export function updateNetworkManage(data) {
  return request({
    url: '/manage/NetworkManage/put',
    method: 'post',
    data: data
  })
}

// 删除网络管理
export function delNetworkManage(networkId) {
  return request({
    url: '/manage/NetworkManage/delete/' + networkId,
    method: 'get'
  })
}
